import * as React from "react";
type Props = {
    url: string;
    datasetKey: string;
    datasetValue: any;
    seamless: boolean;
};
declare class IframeContentRenderer extends React.Component<Props> {
    _frame: HTMLIFrameElement | null | undefined;
    container: React.RefObject<HTMLDivElement>;
    _isMounted: boolean;
    _lastData: any;
    _lastHeight: number;
    iframeID: number;
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: Props): boolean;
    componentDidUpdate(prevProps: Props): void;
    componentWillUnmount(): void;
    _prepareFrame(): void;
    sendNewData(data: any): void;
    render(): React.ReactNode;
}
export default IframeContentRenderer;
